Merge "Define a proto file that generates the current build completion status."

This commit is contained in:
Treehugger Robot 2020-03-11 16:28:08 +00:00 committed by Gerrit Code Review
commit 2d80d382fa
3 changed files with 157 additions and 0 deletions

View File

@ -0,0 +1,105 @@
// Code generated by protoc-gen-go. DO NOT EDIT.
// source: build_completion.proto
package soong_build_completion_status_proto
import (
fmt "fmt"
proto "github.com/golang/protobuf/proto"
math "math"
)
// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf
// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package
type BuildCompletionStatus struct {
// Total number of actions in a build. The total actions will increase
// and might decrease during the course of a build.
TotalActions *uint64 `protobuf:"varint,1,opt,name=total_actions,json=totalActions" json:"total_actions,omitempty"`
// Total number of completed build actions. This value will never decrease
// and finished_actions <= total_actions. At one point of the build, the
// finished_actions will be equal to total_actions. This may not represent
// that the build is completed as the total_actions may be increased for
// additional counted work or is doing non-counted work.
FinishedActions *uint64 `protobuf:"varint,2,opt,name=finished_actions,json=finishedActions" json:"finished_actions,omitempty"`
// Total number of current actions being executed during a course of a
// build and current_actions + finished_actions <= total_actions.
CurrentActions *uint64 `protobuf:"varint,3,opt,name=current_actions,json=currentActions" json:"current_actions,omitempty"`
XXX_NoUnkeyedLiteral struct{} `json:"-"`
XXX_unrecognized []byte `json:"-"`
XXX_sizecache int32 `json:"-"`
}
func (m *BuildCompletionStatus) Reset() { *m = BuildCompletionStatus{} }
func (m *BuildCompletionStatus) String() string { return proto.CompactTextString(m) }
func (*BuildCompletionStatus) ProtoMessage() {}
func (*BuildCompletionStatus) Descriptor() ([]byte, []int) {
return fileDescriptor_7f03c01d09a4e764, []int{0}
}
func (m *BuildCompletionStatus) XXX_Unmarshal(b []byte) error {
return xxx_messageInfo_BuildCompletionStatus.Unmarshal(m, b)
}
func (m *BuildCompletionStatus) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
return xxx_messageInfo_BuildCompletionStatus.Marshal(b, m, deterministic)
}
func (m *BuildCompletionStatus) XXX_Merge(src proto.Message) {
xxx_messageInfo_BuildCompletionStatus.Merge(m, src)
}
func (m *BuildCompletionStatus) XXX_Size() int {
return xxx_messageInfo_BuildCompletionStatus.Size(m)
}
func (m *BuildCompletionStatus) XXX_DiscardUnknown() {
xxx_messageInfo_BuildCompletionStatus.DiscardUnknown(m)
}
var xxx_messageInfo_BuildCompletionStatus proto.InternalMessageInfo
func (m *BuildCompletionStatus) GetTotalActions() uint64 {
if m != nil && m.TotalActions != nil {
return *m.TotalActions
}
return 0
}
func (m *BuildCompletionStatus) GetFinishedActions() uint64 {
if m != nil && m.FinishedActions != nil {
return *m.FinishedActions
}
return 0
}
func (m *BuildCompletionStatus) GetCurrentActions() uint64 {
if m != nil && m.CurrentActions != nil {
return *m.CurrentActions
}
return 0
}
func init() {
proto.RegisterType((*BuildCompletionStatus)(nil), "soong_build_completion_status.BuildCompletionStatus")
}
func init() { proto.RegisterFile("build_completion.proto", fileDescriptor_7f03c01d09a4e764) }
var fileDescriptor_7f03c01d09a4e764 = []byte{
// 158 bytes of a gzipped FileDescriptorProto
0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xe2, 0x12, 0x4b, 0x2a, 0xcd, 0xcc,
0x49, 0x89, 0x4f, 0xce, 0xcf, 0x2d, 0xc8, 0x49, 0x2d, 0xc9, 0xcc, 0xcf, 0xd3, 0x2b, 0x28, 0xca,
0x2f, 0xc9, 0x17, 0x92, 0x2d, 0xce, 0xcf, 0xcf, 0x4b, 0x8f, 0x47, 0x97, 0x8d, 0x2f, 0x2e, 0x49,
0x2c, 0x29, 0x2d, 0x56, 0x9a, 0xc0, 0xc8, 0x25, 0xea, 0x04, 0x92, 0x73, 0x86, 0x4b, 0x05, 0x83,
0x65, 0x84, 0x94, 0xb9, 0x78, 0x4b, 0xf2, 0x4b, 0x12, 0x73, 0xe2, 0x13, 0x93, 0x41, 0xa2, 0xc5,
0x12, 0x8c, 0x0a, 0x8c, 0x1a, 0x2c, 0x41, 0x3c, 0x60, 0x41, 0x47, 0x88, 0x98, 0x90, 0x26, 0x97,
0x40, 0x5a, 0x66, 0x5e, 0x66, 0x71, 0x46, 0x6a, 0x0a, 0x5c, 0x1d, 0x13, 0x58, 0x1d, 0x3f, 0x4c,
0x1c, 0xa6, 0x54, 0x9d, 0x8b, 0x3f, 0xb9, 0xb4, 0xa8, 0x28, 0x35, 0xaf, 0x04, 0xae, 0x92, 0x19,
0xac, 0x92, 0x0f, 0x2a, 0x0c, 0x55, 0xe8, 0xa4, 0x1a, 0xa5, 0x8c, 0xd7, 0xcd, 0xf1, 0x60, 0x8f,
0x01, 0x02, 0x00, 0x00, 0xff, 0xff, 0x13, 0x08, 0x7b, 0x38, 0xf1, 0x00, 0x00, 0x00,
}

View File

@ -0,0 +1,35 @@
// Copyright 2020 Google Inc. All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
syntax = "proto2";
package soong_build_completion_status;
option go_package = "soong_build_completion_status_proto";
message BuildCompletionStatus {
// Total number of actions in a build. The total actions will increase
// and might decrease during the course of a build.
optional uint64 total_actions = 1;
// Total number of completed build actions. This value will never decrease
// and finished_actions <= total_actions. At one point of the build, the
// finished_actions will be equal to total_actions. This may not represent
// that the build is completed as the total_actions may be increased for
// additional counted work or is doing non-counted work.
optional uint64 finished_actions = 2;
// Total number of current actions being executed during a course of a
// build and current_actions + finished_actions <= total_actions.
optional uint64 current_actions = 3;
}

View File

@ -0,0 +1,17 @@
#!/bin/bash
# Generates the golang source file of build_completion.proto file.
set -e
function die() { echo "ERROR: $1" >&2; exit 1; }
readonly error_msg="Maybe you need to run 'lunch aosp_arm-eng && m aprotoc blueprint_tools'?"
if ! hash aprotoc &>/dev/null; then
die "could not find aprotoc. ${error_msg}"
fi
if ! aprotoc --go_out=paths=source_relative:. build_completion.proto; then
die "build failed. ${error_msg}"
fi